Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #618 (closed defect: fixed)

Opened 10 years ago

Last modified 9 years ago

Patch for Tango's runtime to fix bug 929

Reported by: Jim Panic Assigned to: sean
Priority: normal Milestone: 0.99.8
Component: Core Functionality Version: 0.99.1 RC4 Keep
Keywords: dmd Cc:

Description (Last modified by larsivi)

http://d.puremagic.com/issues/show_bug.cgi?id=929

Disregard the patch below.

Patch for trunk/lib/compiler/dmd/lifetime.d

574,576c574
<     // Correct behaviour when initsize == 0 is to fill the array with 0s.
<     // See http://d.puremagic.com/issues/show_bug.cgi?id=929#c9
<     // assert(initsize); 
---
>     assert(initsize);
648,651d645
<             } 
<             else if (initsize == 0) 
<             {
<                 memset(newdata + size, 0, newsize - size);

Change History

09/08/07 17:00:12 changed by Jim Panic

  • priority changed from major to blocker.

09/08/07 17:01:14 changed by Jim Panic

  • description changed.

09/09/07 14:34:35 changed by sean

Hm, seems like the wrong routine is actually being called by the compiler. It should call _d_arraysetlengthT and it's calling _d_arraysetlengthiT instead. I'll leave this as new for now, but will likely reject it and wait for a compiler fix.

09/14/07 23:21:18 changed by Jim Panic

  • status changed from new to closed.
  • resolution set to wontfix.

Shouldn't we decrease the priority? If you wait for the next - fixing - compiler release, maybe other tickets should have higher priority in the list.

09/14/07 23:22:48 changed by Jim Panic

  • status changed from closed to reopened.
  • resolution deleted.

10/04/07 19:35:02 changed by sean

  • priority changed from blocker to normal.

10/05/07 10:01:38 changed by larsivi

  • milestone changed from 0.99.2 RC5 to 0.99.3 RC6.

11/12/07 09:56:00 changed by larsivi

  • keywords set to dmd.

11/12/07 09:59:13 changed by larsivi

  • description changed.

11/12/07 10:01:51 changed by larsivi

  • milestone changed from 0.99.3 to 0.99.4.

12/21/07 14:11:56 changed by larsivi

  • milestone changed from 0.99.4 to 0.99.5.

01/14/08 23:53:27 changed by sean

  • status changed from reopened to closed.
  • resolution set to invalid.

Since this isn't a bug in Tango, I'm marking this as invalid.

01/22/08 23:02:59 changed by larsivi

  • status changed from closed to reopened.
  • resolution deleted.
  • milestone changed from 0.99.5 to External Bugs.

Reopening and putting into External Bugs milestone to keep track of it. It is also listed on the ToolchainIssues page.

11/26/08 10:02:20 changed by larsivi

  • status changed from reopened to closed.
  • resolution set to fixed.
  • milestone changed from External Bugs to 0.99.8.

The compiler bug is fixed now, can finally close.

11/26/08 10:04:25 changed by larsivi

  • status changed from closed to reopened.
  • resolution deleted.
  • milestone changed from 0.99.8 to External Bugs.

Sorry, only fixed in DMD 1.037, will keep open for GDC's sake.

12/13/08 00:20:45 changed by larsivi

  • status changed from reopened to closed.
  • resolution set to fixed.
  • milestone changed from External Bugs to 0.99.8.

And fix committed for GDC too.